# {%= name %} {%= badge("fury") %}

> {%= description %}

## Examples

With Handlebars:

```handlebars
{{{%= nickname %} "5 years ago" "YYYY"}}
//=> 2010
```

With Lo-Dash or Underscore:

```js
<%= {%= nickname %}("5 years ago", "YYYY") %>
//=> 2010
```

With Verb (lo-dash, with special delimiters to avoid delimiter collision in markdown docs):

```js
{%= "{%%= " + nickname + "('5 years ago', 'YYYY') %}" %}
//=> 2010
```


{%= include("install-npm", {save: true}) %}

## Run tests

```bash
npm test
```

## Register the helper

> This should work with any engine, here are a few examples

### [template]

Register the helper for use with any template engine

```js
template.helper('{%= nickname %}', require('{%= name %}'));
```

### [assemble]

To register the helper for use with [assemble] v0.6.x:

```js
assemble.helper('{%= nickname %}', require('{%= name %}'));
```

### [verb]

Register the helper for use with [verb]:

```js
var verb = require('verb');
verb.helper('{%= nickname %}', require('{%= name %}'));

verb.task('default', function() {
  verb.src('.verb*.md')
    .pipe(verb.dest('./'));
});
```

### [handlebars]

```js
var handlebars = require('handlebars');
handlebars.registerHelper('{%= nickname %}', require('{%= name %}'));
```
Usage

```handlebars
{{date "5 years ago" "YYYY"}}
```

### [Lo-Dash] or [underscore]

```js
// as a mixin
_.mixin({{%= nickname %}: {%= nickname %}Helper});
_.template('<%= _.{%= nickname %}("5 years ago", "YYYY") %>', {});
//=> 'AAA\nBBB\nCCC'

// passed on the context
_.template('<%= {%= nickname %}("5 years ago", "YYYY") %>', {{%= nickname %}: {%= nickname %}Helper});
//=> 'AAA\nBBB\nCCC'

// as an import
var settings = {imports: {{%= nickname %}: {%= nickname %}Helper}};
_.template('<%= {%= nickname %}("5 years ago", "YYYY") %>', {}, settings);
//=> 'AAA\nBBB\nCCC'
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue]({%= bugs.url %})

To request or contribute a helper to the [github.com/helpers][helpers] org, please read [this contributing guide][guide] to get started.

## Author
{%= include("author") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}

[assemble]: https://github.com/assemble/assemble
[generator-verb]: https://github.com/assemble/generator-verb
[handlebars-helpers]: https://github.com/assemble/handlebars-helpers/
[handlebars]: https://github.com/wycats/handlebars.js/
[helpers]: https://github.com/helpers
[Lo-Dash]: https://lodash.com/
[template]: https://github.com/jonschlinkert/template
[underscore]: https://github.com/jashkenas/underscore
[verb]: https://github.com/assemble/verb
[guide]: https://github.com/helpers/requests